Loading...
Searching...
No Matches
Dune::Concept::Refines< BaseConcepts > Struct Template Reference
Common » Utilities » C++ concepts

Base class for refined concepts. More...

`#include <dune/common/concept.hh>`

## Public Types

typedef TypeList< BaseConcepts... > | BaseConceptList

## Detailed Description

template<class... BaseConcepts>
struct Dune::Concept::Refines< BaseConcepts >

Base class for refined concepts.

If a new concept should refine one or more existing concepts, this can be achieved by deriving the new concept from Refines<C1,...,CN> where C1, ..., CN are the concepts to be refined. If you want to refine several concepts they should all be put in a single Refines<...> base class.

Template Parameters

  BaseConcepts | The list of concepts to be refined.

## Member Typedef Documentation

## BaseConceptList

template<class... BaseConcepts>

typedef TypeList<BaseConcepts...> Dune::Concept::Refines< BaseConcepts >::BaseConceptList

The documentation for this struct was generated from the following file:

- concept.hh